#include "common_ui.h"
#include <QDebug>

QString dealMessage(const QString msg)
{
    int fontSize = 16;
    if(msg.size() > fontSize)
    {
        QString str;
        int time = msg.size()/fontSize;
        for(int i = 0; i <= time-1; i++)
        {
            str = QString(str + msg.mid(i*fontSize,fontSize)+"\r\n");
        }
        str = QString(str+msg.mid(time*fontSize,fontSize));
        // qDebug() << "Str" <<str << "   time" << time;
        return str;
    }
    else
        return msg;
}